gnutls_ocsp_resp_list_import2(3)

NAME
gnutls_ocsp_resp_list_import2 - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_list_import2(gnutls_ocsp_resp_t ** ocsps, unsigned int * size, const gnutls_datum_t * resp_data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_ocsp_resp_t ** ocsps
    Will hold the parsed OCSP response list.

unsigned int * size
    It will contain the size of the list.

const gnutls_datum_t * resp_data
    The PEM encoded OCSP list.

gnutls_x509_crt_fmt_t format
    One of GNUTLS_X509_FMT_PEM or GNUTLS_X509_FMT_DER

unsigned int flags
    must be (0) or an OR'd sequence of gnutls_certificate_import_flags.

DESCRIPTION
This function will convert the given PEM encoded OCSP response list to the native gnutls_ocsp_resp_t format. The output will be stored in ocsps which will be allocated and initialized.

The OCSP responses should have a header of "OCSP RESPONSE".

To deinitialize responses, you need to deinitialize each gnutls_ocsp_resp_t structure independently, and use gnutls_free() at ocsps .

In PEM files, when no OCSP responses are detected GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

RETURNS
the number of responses read or a negative error value.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/